aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2012-10-07 11:16:02 +0200
committerJustin Lecher <jlec@gentoo.org>2012-10-07 11:16:02 +0200
commit31ebaca843da1dc44b5c7401ce84e63381654d35 (patch)
tree22449c0f105773cfa3be2d29ba3cfc2288244533 /app-admin/eselect
parentin CVS (diff)
parentfix to build petsc in Gentoo Prefix (thanks to Matthias Maier) (diff)
downloadsci-31ebaca843da1dc44b5c7401ce84e63381654d35.tar.gz
sci-31ebaca843da1dc44b5c7401ce84e63381654d35.tar.bz2
sci-31ebaca843da1dc44b5c7401ce84e63381654d35.zip
Merge branch 'master' of git+ssh://git.overlays.gentoo.org/proj/sci
# By Justin Lecher (20) and others # Via Jens-Malte Gottfried (1) and Justin Lecher (1) * 'master' of git+ssh://git.overlays.gentoo.org/proj/sci: (41 commits) fix to build petsc in Gentoo Prefix (thanks to Matthias Maier) live ebuild update live ebuild update updated package.mask cmake-utils.eclass got merged in gx86 hybrid stuff got merged [sci-mathematics/scilab] fix errors in previous commit [sci-mathematics/scilab] version bump [dev-java/scirenderer] version bump version bump app-benchmarks/numbench: Updated dependency for eselect alternatives sci-libs/mkl: Version bump sci-libs/acml: Version bump [sci-mathematics/scilab] update dependencies [dev-java/scirenderer] version bump [dev-java/jlatexmath-fop] version bump [dev-java/jlatexmath] version bump app-admin/eselect: rev-bumped to avoid conflict with tree sci-chemistry/specView: Needs webkit support in pyside sci-chemistry/chemBuild: Needs webkit support in pyside ... Conflicts: app-admin/eselect/ChangeLog app-admin/eselect/Manifest
Diffstat (limited to 'app-admin/eselect')
-rw-r--r--app-admin/eselect/Manifest1
-rw-r--r--app-admin/eselect/eselect-1.3.2-r100.ebuild (renamed from app-admin/eselect/eselect-1.3.1-r1.ebuild)18
2 files changed, 11 insertions, 8 deletions
diff --git a/app-admin/eselect/Manifest b/app-admin/eselect/Manifest
index e624a0bb4..584ced835 100644
--- a/app-admin/eselect/Manifest
+++ b/app-admin/eselect/Manifest
@@ -1,2 +1 @@
-DIST eselect-1.3.1.tar.xz 163908 SHA256 4fc1c3f1b021dd8d28475ab2115f6a2de843bbbb941a0f70999389d1e0d56444 SHA512 b62e3e9f9c145a92625d136ea14ffa9705fa312971160ee3bb33f285dd67f6e6f415c7b9909b902b872500663a7a79c6fe53f52d179de7b7e120c5de994effd3 WHIRLPOOL a04a20c25617c3a53b0937c7f01f6dc89677beb5e1917a8d078a7f4403d4d77b7342da47766a061bc9158962ada190901db5b99d4b9603c49d9b90d3ad57feb5
DIST eselect-1.3.2.tar.xz 164168 SHA256 8b3906133090229defd6c5017fac0049e14cc0a5185c479cb3e6155a71827a78 SHA512 3225ce8b4313ae15bc7be8f047b29a202976c4a8766005487b78031a0e11e6395da55d74a961b022685126b397f8811babd3ee6580e8ba94e1ddd117964207e5 WHIRLPOOL 94917cad340ab697a35d0b3d4e80e95a6d764829692d54e0ee17fdef84c847aa35da10174352b0d4ffd8f541bbf0280e4b63790a276789a66463d2c8a1a245b0
diff --git a/app-admin/eselect/eselect-1.3.1-r1.ebuild b/app-admin/eselect/eselect-1.3.2-r100.ebuild
index 1bbfdb5a5..f26fecb8c 100644
--- a/app-admin/eselect/eselect-1.3.1-r1.ebuild
+++ b/app-admin/eselect/eselect-1.3.2-r100.ebuild
@@ -4,7 +4,7 @@
EAPI=3
-inherit bash-completion-r1 eutils autotools
+inherit autotools eutils bash-completion-r1
DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
HOMEPAGE="http://www.gentoo.org/proj/en/eselect/"
@@ -12,7 +12,7 @@ SRC_URI="mirror://gentoo/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc"
RDEPEND="sys-apps/sed
@@ -34,6 +34,7 @@ RDEPEND="!app-admin/eselect-news
# vim-syntax? ( app-vim/eselect-syntax )"
src_prepare() {
+ epatch "${FILESDIR}/${P}-eroot.patch"
epatch "${FILESDIR}"/${PN}-alternatives.patch
AT_M4DIR="." eautoreconf
}
@@ -57,8 +58,10 @@ src_install() {
# needed by news module
keepdir /var/lib/gentoo/news
- fowners root:portage /var/lib/gentoo/news || die
- fperms g+w /var/lib/gentoo/news || die
+ if ! use prefix; then
+ fowners root:portage /var/lib/gentoo/news || die
+ fperms g+w /var/lib/gentoo/news || die
+ fi
# band aid for prefix
if use prefix; then
@@ -70,7 +73,8 @@ src_install() {
pkg_postinst() {
# fowners in src_install doesn't work for the portage group:
# merging changes the group back to root
- [[ -z ${EROOT} ]] && local EROOT=${ROOT}
- chgrp portage "${EROOT}/var/lib/gentoo/news" \
- && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ if ! use prefix; then
+ chgrp portage "${EROOT}/var/lib/gentoo/news" \
+ && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ fi
}